/* ----- auto color scheme ----- */


@media (prefers-color-scheme: light){
body {
  --fg: black;
  --bg: #d8d4c1;

  --nav-footer-bg-color: #bebaa8;
  --player-bg-color: #bebaa8;

  --text-color: #2c2c2c;
  --text-bg-color: None;

  --bold-color: #1d1c1c;
  --bold-bg-color: None;

  --link-active: #948d8a;

  --theme-panel-dark-bg: None;
  --theme-panel-light-bg: #dbdad4;
  --theme-panel-contrast-bg: None;
}
}

@media (prefers-color-scheme: dark) {
  body{
  --fg: white;
  --bg: #46443f;

  --nav-footer-bg-color: #646460;
  --player-bg-color: #646460; 
  
  --text-color: #f0eceb;
  --bold-color: white;
  --text-bg-color: None;

  --bold-color: #fffbfa;
  --bold-bg-color: None;

  --link-active: #948d8a;

  --theme-panel-dark-bg: #363631;
  --theme-panel-light-bg: none;
  --theme-panel-contrast-bg: None;
  }
}

@media (forced-colors: active) {
  body {
  --fg: white;
  --bg: black;
  --nav-footer-bg-color: #131313;
  --player-bg-color: None; 
    
  --text-color: white;
  --text-bg-color: None;

  --bold-bg-color: None;
  --bold-color: None;

  --link-active: #948d8a;

  --theme-panel-dark-bg: None;
  --theme-panel-light-bg: None;
  --theme-panel-contrast-bg: white;
  #contrast-label {
    color: black;
  }

  .player-wrapper {
    border-width: 0.2vh;
    border-style: solid;
    border-color: white;
  }
  a, label,footer {
    border-width: 0.1vh;
    padding: 0.2vh;
    border-style: solid;
    border-color: white;
  }
  }

}


/* ----- manual color scheme slection ----- */


body:has(#light:checked) {
  --fg: black;
  --bg: #d8d4c1;

  --nav-footer-bg-color: #bebaa8;
  --player-bg-color: #bebaa8;

  --text-color: #2c2c2c;
  --text-bg-color: None;

  --bold-color: #1d1c1c;
  --bold-bg-color: None;

  --link-active: #948d8a;

  --theme-panel-dark-bg: None;
  --theme-panel-light-bg: #dbdad4;
  --theme-panel-contrast-bg: None;
}

body:has(#dark:checked) {
  --fg: white;
  --bg: #46443f;

  --nav-footer-bg-color: #646460;
  --player-bg-color: #646460; 
  
  --text-color: #f0eceb;
  --bold-color: white;
  --text-bg-color: None;

  --bold-color: #fffbfa;
  --bold-bg-color: None;

  --link-active: #948d8a;

  --theme-panel-dark-bg: #363631;
  --theme-panel-light-bg: none;
  --theme-panel-contrast-bg: None;
}

body:has(#high-contrast:checked) {
  --fg: white;
  --bg: black;
  --nav-footer-bg-color: #131313;
  --player-bg-color: None; 
    
  --text-color: white;
  --text-bg-color: None;

  --bold-bg-color: None;
  --bold-color: None;

  --link-active: #948d8a;

  --theme-panel-dark-bg: None;
  --theme-panel-light-bg: None;
  --theme-panel-contrast-bg: white;
  #contrast-label {
    color: black;
  }

  .player-wrapper {
    border-color: white;
  }
  a, label,footer {
    border-color: white;
  }
}


/* ----- apply teheme ----- */


body {
  color: var(--fg);
  background-color: var(--bg);
}

#theme-panel {
  background-color: var(--nav-footer-bg-color);

  label {
    border-color: var(--text-color);
  }

  #dark-label {
    background-color: var(--theme-panel-dark-bg);
  }
  #light-label {
    background-color: var(--theme-panel-light-bg);
  }
  #contrast-label{
    background-color: var(--theme-panel-contrast-bg);
  }
}

footer, nav {
  background-color: var(--nav-footer-bg-color);
}

.player-wrapper {
  background-color: var(--player-bg-color);
}

/* text colors */

hr {
  margin-top: 2em;
  border-top: 0.1em solid;
}

p, li, label, h2 {
	color: var(--text-color);
  background-color: var(--text-bg-color);
}

h1, b {
	color: var(--bold-color);
  background-color: var(--bold-bg-color);
}

/* links */

a {
  color: var(--text-color);
}

a:active {
  color: var(--link-active);
}